/*
	play.C

	Version 1.0

	Copyright (C) 1994, Geoff Friesen B.Sc.
	All rights reserved.
*/

#include <dos.H>
#include <stdio.H>

#include "voclib.H"

char *banner =

"ͻ\n"
" PLAY v1.0  VOC File Player             \n"
"                                         \n"
" Copyright (C) 1994, Geoff Friesen B.Sc. \n"
" All rights reserved.                    \n"
"ͼ\n\n";

int cbreak (void);

void main (int argc, char **argv)
{
   int major, minor;

   ctrlbrk (cbreak);

   fprintf (stderr, banner);

   if (_osmajor < 3 || _osmajor == 3 && _osminor < 30)
   {
       fprintf (stderr, "play: invalid DOS version number - "
		"needs 3.30+\n");
       return;
   }

   if (argc != 2)
   {
       fprintf (stderr, "play: bad command line\n");
       fprintf (stderr, "usage: play filespec\n");
       return;
   }

   if (voc_Init () == ERROR)
   {
       fprintf (stderr, "play: unable to initialize sound blaster\n");
       return;
   }

   if (voc_GetVersion (&major, &minor) == ERROR)
   {
       fprintf (stderr, "play: unable to obtain version information\n");
       goto quit;
   }

   fprintf (stderr, "sound blaster version %d.%d driver installed\n\n",
	    major, minor);
   fprintf (stderr, "playing %s ...\n\n", argv [1]);

   if (voc_Play (argv [1]) == ERROR)
       fprintf (stderr, "play: unable to play %s\n", argv [1]);

quit:

   if (voc_DeInit () == ERROR)
       fprintf (stderr, "play: unable to deinitialize sound blaster\n");
}

int cbreak (void)
{
   return 1;	/* Disable CTRL-BREAKs */
}